# template: scl
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name gitlab-sidekiq-fetcher

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}
Summary: Reliable fetch extension for Sidekiq
Group: Development/Languages
License: LGPL-3.0
URL: https://gitlab.com/gitlab-org/sidekiq-reliable-fetch/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(sidekiq) >= 5
Requires: %{?scl_prefix}rubygem(sidekiq) < 7
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
# end specfile generated dependencies

%description
Redis reliable queue pattern implemented in Sidekiq.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.gitlab-ci.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/RELEASE-GITLAB.md
%{gem_instdir}/gitlab-sidekiq-fetcher.gemspec
%exclude %{gem_instdir}/spec
%exclude %{gem_instdir}/tests

%changelog
* Thu Jul 23 2020 Adam Ruzicka <aruzicka@redhat.com> 0.6.0-1
- Update to 0.6.0

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 0.5.2-2
- Bump to release for EL8

* Tue Oct 15 2019 Adam Ruzicka <aruzicka@redhat.com> 0.5.2-1
- Add rubygem-gitlab-sidekiq-fetcher generated by gem2rpm using the scl template
